Bug 1569959 - [Docs] Host Preparation phase requires reboot after yum update
Summary: [Docs] Host Preparation phase requires reboot after yum update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 11:41 UTC by Brendan Mchugh
Modified: 2018-05-09 02:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 02:55:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1550582 0 high CLOSED dnsmasq from 7.5 may not listen to dbus? 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1566309 0 high CLOSED [3.7] Update and restart dbus prior to installing dnsmasq 2021-02-22 00:41:40 UTC

Internal Links: 1566309

Description Brendan Mchugh 2018-04-20 11:41:54 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.7/install_config/install/host_preparation.html#installing-base-packages

Section Number and Name: 
Installing Base Packages

Describe the issue: 
Starting the installation on a RHEL 7.4 (redhat-release-server-7.4-18.el7.x86_64) based host.
When following the host preparation steps, this host will now be updated to RHEL 7.5 (redhat-release-server-7.5-8.el7.x86_64), with the "yum update" command given as step 2.

This update requires a reboot of the host which we do not document.

The reboot is required for the dbus service as confirmed by the command "needs-restarting -r" from the package "yum-utils".

---

# needs-restarting -r
Core libraries or services have been updated:
  systemd -> 219-57.el7
  openssl-libs -> 1:1.0.2k-12.el7
  kernel -> 3.10.0-862.el7
  linux-firmware -> 20180220-62.git6d51311.el7
  glibc -> 2.17-222.el7
  dbus -> 1:1.10.24-7.el7

Reboot is required to ensure that your system benefits from these updates.

More information:
https://access.redhat.com/solutions/27943

---

Without a reboot the dbus service is not restarted which causes a failure later in the installation process with the dnsmasq service.


Suggestions for improvement: 
Add an instruction to reboot after the yum update.


2. Update the system to the latest packages:

# yum update
# systemctl reboot


Additional information: 
This likely applies to all OCP versions as we state that "yum update" should be run which will in turn bring the base OS upto RHEL 7.5.

Comment 1 Brendan Mchugh 2018-04-20 11:46:10 UTC
1550582 - dnsmasq from 7.5 may not listen to dbus?
1566309 - [3.7] Update and restart dbus prior to installing dnsmasq

The linked bugzillas detail the need for a reboot.

Comment 5 Johnny Liu 2018-04-25 02:30:18 UTC
LGTM.


Note You need to log in before you can comment on or make changes to this bug.